% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/statGraph.R
\name{graph.acf}
\alias{graph.acf}
\title{Auto Correlation Function Estimation for Graphs
   
The function graph.acf computes estimates of the autocorrelation function.}
\usage{
graph.acf(x, plot = TRUE)
}
\arguments{
\item{x}{a list of adjacency matrices of graphs}

\item{plot}{logical. If TRUE (default) the graph.acf is plotted.}
}
\value{
An object of class acf.
}
\description{
Auto Correlation Function Estimation for Graphs
   
The function graph.acf computes estimates of the autocorrelation function.
}
\examples{
library(stats)
library(igraph)
x <- list()
p <- array(0, 100)
p[1:3] <- rnorm(3)  
for (t in 4:100) {
    p[t] <- 0.5*p[t-3] + rnorm(1)
}
ma <- max(p)
mi <- min(p)
p <- ( p - mi )  / (ma - mi)
for (t in 1:100) {
    x[[t]] <- get.adjacency(erdos.renyi.game(100, p[t]))
}
graph.acf(x, plot=TRUE)

}
\keyword{autocorrelation}
\keyword{graph}
\keyword{radius,}

