% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/statGraph.R
\name{graph.cor.test}
\alias{graph.cor.test}
\title{Test for Association / Correlation Between Paired Samples of Graphs
   
Test for association between paired samples of graphs, using of Spearman's rho
correlation coefficient.}
\usage{
graph.cor.test(x, y)
}
\arguments{
\item{x, }{y lists of adjacency matrices of graphs. 'x' and 'y' must have the same length.}
}
\value{
statistic: the value of the test statistic

p.value: the p-value of the test

estimate: the estimated measure of association 'rho'
}
\description{
Test for Association / Correlation Between Paired Samples of Graphs
   
Test for association between paired samples of graphs, using of Spearman's rho
correlation coefficient.
}
\examples{
library(igraph)
library(MASS)

x <- list()
y <- list()

p <- mvrnorm(100, mu=c(0,0), Sigma=matrix(c(1, 0.5, 0.5, 1), 2, 2))

ma <- max(p)
mi <- min(p)
p[,1] <- ( p[,1] - mi )  / (ma - mi)
p[,2] <- ( p[,2] - mi )  / (ma - mi)

for (i in 1:100) {
    x[[i]] <- get.adjacency(erdos.renyi.game(100, p[i,1]))
    y[[i]] <- get.adjacency(erdos.renyi.game(100, p[i,2]))
}

graph.cor.test(x, y)

}
\keyword{coefficient}
\keyword{correlation}

